// Copyright (c) 2023 YAC
// SPDX-License-Identifier: FSFAP

/* Copying and distribution of this file, with or without modification, are
 * permitted in any medium without royalty provided the copyright notice and
 * this notice are preserved.  This file is offered as-is, without any warranty.
 */

#![no_std]
#![allow(non_upper_case_globals)]
#![allow(non_camel_case_types)]
#![allow(non_snake_case)]

include!(concat!(env!("OUT_DIR"), "/bindings.rs"));

extern crate core;

pub fn exit(code: u32) -> ! {
  unsafe { libc::exit(code as i32 as libc::c_int); }
}
